      program run
      use run_star_support, only: do_read_star_job
      use run_star, only: do_run_star

      use run_star_extras, only: i_mode_lo, i_mode_hi, growth_thresh, &
           strip_file, Teff_thresh, Teff_tol
      
      implicit none
      
      integer :: ierr
      integer :: unit

      namelist /strip/ i_mode_lo, i_mode_hi, growth_thresh, &
           strip_file, Teff_thresh, Teff_tol
      
      ierr = 0
      call do_read_star_job('inlist', ierr)
      if (ierr /= 0) stop 1

      i_mode_lo = 1
      i_mode_hi = 1

      growth_thresh = 0.

      Teff_thresh = 0.
      Teff_tol = 10.

      strip_file = ''

      open(NEWUNIT=unit, FILE='inlist', STATUS='OLD')
      read(unit, NML=strip)
      close(unit)
      
      call do_run_star
      
      end program
